System 2.0.0.0 4.0.0.0 System.CodeDom.CodeDirective System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

The class inherits from and can be contained in a . provides the unique identification of source files, including files that have been generated.

Represents a code checksum pragma code entity.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  For more information on the parameter, see the property.

  Initializes a new instance of the class using a file name, a GUID representing the checksum algorithm, and a byte stream representing the checksum data.

  The path to the checksum file.
  A that identifies the checksum algorithm to use.
  A byte array that contains the checksum data.
- Property
  2.0.0.0
  4.0.0.0
  System.Guid To be added.

  Algorithms are provided for the MD5 and SHA1 hashes. The GUID value to use for the MD5 hash is {0x406ea660, 0x64cf, 0x4c82, 0xb6, 0xf0, 0x42, 0xd4, 0x81, 0x72, 0xa7, 0x99}. The GUID to use for the SHA1 hash is {0xff1816ec, 0xaa5e, 0x4d10, 0x87, 0xf7, 0x6f, 0x49, 0x63, 0x83, 0x34, 0x60}.

  The calculation of the checksum is language-specific. That is, the language vendor can use any of the hashing algorithms known to the debugger to calculate the checksum. The use of a GUID for this property provides hash algorithm extensibility.

  Gets or sets a GUID that identifies the checksum algorithm to use.

- Property
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  The property contains data from the target file specified by the property.

  Gets or sets the value of the data for the checksum calculation.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  An example of a property value is "C:\Temp\Test\OuterLinePragma.txt".

  Gets or sets the path to the checksum file.